sc::StateInFile(3)

NAME
sc::StateInFile - Reads state information from a file.

SYNOPSIS

#include <state_file.h>

Inherits sc::StateIn.

Inherited by sc::StateInBin, and sc::StateInText.

  Public Methods
StateInFile ()
State information will be obtained from cin.
StateInFile (std::istream &s)
State information will be obtained from fp.
StateInFile (const char *name)
State information will be obtained from name.
~StateInFile ()
virtual int open (const char *name)
State information will be obtained from name.
virtual void close ()
Close the output file.

  Protected Attributes
int opened_
std::streambuf * buf_

DETAILED DESCRIPTION

Reads state information from a file.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.